<?php
global $biography_panels;
global $biography_sections;
global $biography_settings_controls;
global $biography_repeated_settings_controls;
global $biography_customizer_defaults;

$biography_customizer_defaults['biography-home-client-enable'] = TRUE;
$biography_customizer_defaults['biography-home-client-title'] = esc_html__( 'Clients', 'biography' );
$biography_customizer_defaults['biography-home-client-number'] = 6;
$biography_customizer_defaults['biography-home-client-name'] = esc_html__( 'WordPress', 'biography' );

    $biography_sections['biography-home-client'] =
    array(
        'priority'       => 190,
        'title'          => esc_html__( 'Home/Front Client Section', 'biography' )
    );


    $biography_settings_controls['biography-home-client-enable'] =
    	array(
        'setting' =>     array(
            'default'              => $biography_customizer_defaults['biography-home-client-enable'],
        ),
        'control' => array(
            'label'                 =>  esc_html__( 'Enable client section', 'biography' ),
            'section'               => 'biography-home-client',
            'type'                  => 'checkbox',
            'description'           => esc_html__('Check To Enable Client Section','biography'),
            'priority'              => 1,
            'active_callback'       => ''
        )
    );

    $biography_settings_controls['biography-home-client-title'] =
    array(
        'setting' =>     array(
            'default'              => $biography_customizer_defaults['biography-home-client-title'],
        ),
        'control' => array(
            'label'                 =>  esc_html__( 'Home Client Section Title', 'biography' ),
            'section'               => 'biography-home-client',
            'type'                  => 'text',
            'priority'              => 2,
            'description'           => esc_html__('Enter Your Client Section Title','biography'),
            'active_callback'       => '',
            'sanitize_callback'     =>'sanitize_text_field'
        )
    );
    $biography_settings_controls['biography-home-client-number'] =
    array(
        'setting' =>     array(
            'default'              => $biography_customizer_defaults['biography-home-client-number'],
        ),
        'control' => array(
            'label'                 =>  esc_html__( 'No Of Client', 'biography' ),
            'section'               => 'biography-home-client',
            'type'                  => 'number',
            'priority'              => 3,
            'description'           => esc_html__('Choose Number Of Client','biography'),
            'active_callback'       => '',
            'sanitize_callback'     =>'biography_sanitize_number',
            'input_attrs'           => array(
                        'min'       => 4,
                        'max'       => 8,
                        'step'      => 1, )
        )
    );


    $biography_repeated_settings_controls['biography-home-client'] =
    array(
        'repeated' => 10,


        'biography-home-client-name' => array(
            'setting' =>     array(
                'default'              => $biography_customizer_defaults['biography-home-client-name'],
            ),
            'control' => array(
                'label'                 =>  esc_html__( 'Client Url %s', 'biography' ),
                'section'               => 'biography-home-client',
                'type'                  => 'text',
                'priority'              => 5,
                'description'           => esc_html__('Enter Custom Url for clients ','biography'),
                'sanitize_callback'    => 'esc_url_raw'
            )
        ),

        'biography-home-client-image' => array(
            'setting' =>     array(
                'default'              => '',
            ),
            'control' => array(
                'label'                 =>  esc_html__( 'Client Image %s', 'biography' ),
                'section'               => 'biography-home-client',
                'type'                  => 'image',
                'priority'              => 10,
                'description'           => esc_html__('Enter Client Image','biography'),
                'sanitize_callback'    => 'esc_url_raw'
            )
        ),
    );