<?php
if ( ! function_exists( 'biography_sanitize_hex_color' ) ) :
    /**
     * Function to sanitize hex color
     *
     * @access public
     * @since 1.1
     *
     * @param $biography_input
     * @return int || float
     *
     */
    function biography_sanitize_hex_color( $biography_hex_color, $biography_setting ) {
        // Sanitize $biography_hex_color as a hex value without the hash prefix.
        $biography_hex_color = sanitize_hex_color( $biography_hex_color );

        // If $biography_hex_color is a valid hex value, return it; otherwise, return the default.
        return ( null != $biography_hex_color ? $biography_hex_color : $biography_setting->default );
    }

endif;