<?php
if ( ! function_exists( 'biography_home_contact' ) ) :
    /**
     * Contact Section
     *
     * @since Biography 1.0.0
     *
     * @param null
     * @return null
     *
     */
    function biography_home_contact() {
        global $biography_customizer_all_values;
        $biography_home_contact_enable = $biography_customizer_all_values['biography-home-contact-enable'];
        if( 1 != $biography_home_contact_enable ){
            return;
        }
        $biography_home_contact_page_id = $biography_customizer_all_values['biography-home-contact-page-id'];
        $biography_home_contact_info_title = $biography_customizer_all_values['biography-home-contact-info-title'];
        $biography_home_contact_address = $biography_customizer_all_values['biography-home-contact-address'];
        $biography_home_contact_phone = $biography_customizer_all_values['biography-home-contact-phone'];
        $biography_home_contact_email = $biography_customizer_all_values['biography-home-contact-email'];
        $biography_home_contact_form_title = $biography_customizer_all_values['biography-home-contact-form-title'];
        $biography_home_contact_form_shortcode = $biography_customizer_all_values['biography-home-contact-form-shortcode'];
        ?>

        <section class="wrapper wrap-contact">
            <div class="container">
              
              <div class="row overhidden">
                  <div class="col-md-6 biography-animate slideInLeft">

                      <?php
                      if( 0 != $biography_home_contact_page_id ){
                          // the query
                          $biography_fs_args = array(
                              'page_id' => $biography_home_contact_page_id
                          );
                          $biography_fs_post_query = new WP_Query( $biography_fs_args );
                          if ( $biography_fs_post_query->have_posts() ) :
                              while ( $biography_fs_post_query->have_posts() ) : $biography_fs_post_query->the_post();
                                  ?>
                                  <div class="block-title">
                                      <h2><?php the_title(); ?></h2>
                                      <div class="title-divider"><span></span></div>
                                  </div>
                                  <div class="contact-info">
                                      <?php
                                      echo wp_kses_post( get_the_content() );
                                      ?>
                                  </div>
                                  <?php
                              endwhile;
                              wp_reset_postdata();
                          else:
                              biography_home_about_default();
                          endif;
                      }
                      else{
                          biography_home_about_default();
                      }
                      ?>
                       <div class="contact-address">
                            <?php if ( ! empty( $biography_home_contact_info_title ) ) : ?>
                                <div class="block-title">
                                    <h2><?php echo esc_html( $biography_home_contact_info_title ); ?></h2>
                                    <div class="title-divider"><span></span></div>
                                </div>
                            <?php endif; ?>
                            <ul>
                                <?php if ( ! empty( $biography_home_contact_address ) ) : ?>
                                    <li class="address"><?php echo esc_html( $biography_home_contact_address ); ?></li>
                                <?php endif; 

                                if ( ! empty( $biography_home_contact_phone ) ) : ?>
                                    <li class="phone"><a href="tel:<?php echo esc_attr( $biography_home_contact_phone ); ?>"><?php echo esc_html( $biography_home_contact_phone ); ?></a></li>
                                <?php endif; 

                                if ( ! empty( $biography_home_contact_email ) ) : ?>
                                    <li class="mail"><a href="mailto:<?php echo esc_attr( $biography_home_contact_email ); ?>"><?php echo esc_html( $biography_home_contact_email ); ?></a></li>
                                <?php endif; ?>
                            </ul>
                      </div><!-- .contact-address -->
                  </div>
                  <div class="col-md-6 biography-animate slideInRight">
                      <?php if(!empty( $biography_home_contact_form_title ) ){
                          ?>
                          <div class="block-title">
                              <h2><?php echo esc_html( $biography_home_contact_form_title ); ?></h2>
                              <div class="title-divider"><span></span></div>
                          </div>
                          <?php
                      }
                      ?>
                    <div class="contact-form">
                      <?php echo do_shortcode( $biography_home_contact_form_shortcode ); ?>
                    </div>
                  </div>
              </div>
            </div>
        </section>

       <?php
    }
endif;
add_action( 'contact', 'biography_home_contact', 10);
