<?php
if( ! function_exists( 'biography_inline_css' ) ) :

    /**
     * Biography wp_enqueue_scripts hook
     *
     * @since  Biography 2.2
     */
    function biography_inline_css(){
        global $biography_customizer_all_values;
        global $biography_google_fonts;

        $biography_font_family_site_identity = $biography_google_fonts[$biography_customizer_all_values['biography-font-family-site-identity']];
        $biography_font_family_menu = $biography_google_fonts[$biography_customizer_all_values['biography-font-family-menu']];
        $biography_font_family_h1_h6 = $biography_google_fonts[$biography_customizer_all_values['biography-font-family-h1-h6']];
        $biography_font_family_body = $biography_google_fonts[$biography_customizer_all_values['biography-font-family-body']];
        /*Color options */
        $biography_h1_h6_color = $biography_customizer_all_values['biography-h1-h6-color'];
        $biography_link_color = $biography_customizer_all_values['biography-link-color'];
        $breadcrumb_bg_color = $biography_customizer_all_values['breadcrumb-bg-color'];
        $biography_site_title_color = $biography_customizer_all_values['biography-site-title-color'];
        $biography_site_tagline_color = $biography_customizer_all_values['biography-site-tagline-color'];
        $biography_header_main_color = $biography_customizer_all_values['biography-menu-color'];
        $biography_footer_bg_color = $biography_customizer_all_values['biography-footer-bg-color'];
        $biography_footer_text_color = $biography_customizer_all_values['biography-footer-text-color'];
        $biography_footer_link_color = $biography_customizer_all_values['biography-footer-link-color'];
        $biography_footer_link_hover_color = $biography_customizer_all_values['biography-footer-link-hover-color'];
        $biography_primary_color = $biography_customizer_all_values['biography-primary-color'];
        $biography_primary_hover_color = $biography_customizer_all_values['biography-primary-hover-color'];
        $biography_button_bg_color = $biography_customizer_all_values['biography-button-bg-color'];
        $biography_button_text_color = $biography_customizer_all_values['biography-button-text-color'];

        $biography_home_service_section_bg = $biography_customizer_all_values['biography-home-service-section-bg'];
        $biography_home_about_section_bg = $biography_customizer_all_values['biography-home-review-section-bg'];
        $biography_home_history_section_bg = $biography_customizer_all_values['biography-home-history-section-bg'];
        $biography_home_origin_bg_image = $biography_customizer_all_values['biography-home-origin-bg-image'];
        $biography_home_count_bg_image = $biography_customizer_all_values['biography-home-count-bg-image'];
        $biography_home_portfolio_bg = $biography_customizer_all_values['biography-home-portfolio-bg'];
        $biography_home_contact_bg = $biography_customizer_all_values['biography-home-contact-bg'];

        $biography_inline_css = '';
        $biography_inline_css = '
            /*site identity font family*/
            .site-title,
            .site-title a,
            .site-description,
            .site-description a{
                font-family: '. esc_attr( $biography_font_family_site_identity ).'!important;
            }
            /*main menu*/
            .main-navigation a{
                font-family: '. esc_attr( $biography_font_family_menu ).'!important;
            }
            /*Title font family*/
            body, p{
                font-family: '. esc_attr( $biography_font_family_body ).'!important;
            }
            h1, h1 a,
            h2, h2 a,
            h3, h3 a,
            h4, h4 a,
            h5, h5 a,
            h6, h6 a {
                font-family: '. esc_attr( $biography_font_family_h1_h6 ).'!important;
            }';
            /*Main h1-h6 color*/
            if( !empty($biography_h1_h6_color) ){
            $biography_inline_css .= '
            h1, h1 a,
            h2, h2 a,
            h3, h3 a,
            h4, h4 a,
            h5, h5 a,
            h6, h6 a{
                color:'.esc_attr( $biography_h1_h6_color ).' !important; /*#212121*/
            }';
            }
            /*Link color*/
            if( !empty($biography_link_color) ){
            $biography_inline_css .= '
            a,
            a > p,
            .posted-on a,
            .cat-links a,
            .tags-links a,
            .author a,
            .comments-link a,
            .edit-link a,
            .nav-links .nav-previous a,
            .nav-links .nav-next a,
            .page-links a {
                color:'. esc_attr( $biography_link_color ).' !important; /*#212121*/
            }';
            }
            /*Primary hover color*/
            $biography_inline_css .= 'a:hover,
            .posted-on a:hover,
            .cat-links a:hover,
            .tags-links a:hover,
            .author a:hover,
            .comments-link a:hover,
            .edit-link a:hover,
            .nav-links .nav-previous a:hover,
            .nav-links .nav-next a:hover,
            .page-links a:hover,
            .arrow-section a:hover,
            .contact-address a:hover {
                color: '. esc_attr( $biography_primary_hover_color ).' !important; /*#FFD52D*/
            }';
            /*breadcrumb background color*/
            if( !empty($breadcrumb_bg_color) ){
            $biography_inline_css .= '
            #breadcrumb {
                background-color: '.esc_html( $breadcrumb_bg_color ).' !important; /*#009292*/
            }';
            }
            /*footer bg color */
            if( !empty( $biography_footer_bg_color ) ){
            $biography_inline_css .= '
            .wrap-contact,.site-footer{
                background-color: '. esc_attr( $biography_footer_bg_color ).';
            }';
            }
             /*footer text color */
            if( !empty( $biography_footer_text_color ) ){
            $biography_inline_css .= '
            .site-footer,.site-footer p,.site-footer .site-info{
                color: '. esc_attr( $biography_footer_text_color ).'!important;
            }';
            }
             /*footer link color */
            if( !empty( $biography_footer_link_color ) ){
            $biography_inline_css .= '
            .site-footer-bottom a,.site-info a{
                color: '. esc_attr( $biography_footer_link_color ).'!important;
            }';
            }
             /*footer link hover color */
            if( !empty( $biography_footer_link_hover_color ) ){
            $biography_inline_css .= '
            .site-footer-bottom a:hover,.site-info a:hover{
                color: '. esc_attr( $biography_footer_link_hover_color ).'!important;
            }';
            }
            /*Dynamic Site Color Option*/
            if( !empty( $biography_primary_color ) ){
            $biography_inline_css .= '
            button,
            html input[type="button"],
            input[type="button"],
            input[type="reset"],
            input[type="submit"],
            button:focus,
            input[type="button"]:focus,
            input[type="reset"]:focus,
            input[type="submit"]:focus,
            .search-form .search-submit,
            .biography-back-to-top,
            body:not(.home) .site-header.biography-nav-right,
            .biography-nav-type-2 .main-navigation,
            .box-container a:hover .box-content,
            .biography-wrap-banner,
            .icon-section i,
            .single-thumb-image .icon span,
            .biography-nav-type-2,
            .main-navigation li:hover > a:after,
            .main-navigation .current_page_item > a:after,
            .main-navigation .current-menu-item > a:after,
            .main-navigation .current_page_ancestor > a:after,
            .main-navigation li.active > a:after,
            .main-navigation li.active > a:after,
            .main-navigation li.active > a:after,
            .main-navigation li.current_page_parent a:after,
            .title-divider span,
            .carousel-indicators .active,
            .resume-list .icon i,
            .progress-bar {
                background-color:'.esc_attr( $biography_primary_color).' !important; /*#000000*/
            }
            @media screen and (max-width: 767px){
                body.home .site-header.biography-nav-right{
                    background-color: '. esc_attr( $biography_primary_color).'!important; /*#000000*/
                }
            }
            .single article.hentry .entry-title,
            .single-thumb-container h3,
            .icon-section i {
                color: '.esc_attr( $biography_primary_color).' !important; /*#028484*/
            }
            .widget-title,
            .widgettitle,
            .portfolio-content .content .overlay .text:after{
                border-left-color:'. esc_attr( $biography_primary_color).' !important; /*#028484*/
            }
            .portfolio-content .content .overlay .text:after{
                border-right-color:'. esc_attr( $biography_primary_color).' !important; /*#028484*/
            }
            .page article.hentry .entry-title,
            .blog article.hentry,
            #blog-post article.hentry,
            .search article.hentry,
            .archive article.hentry,
            .tag article.hentry,
            .category article.hentry,
            #ak-blog-post article.hentry,
            .biography-wrap-banner,
            .portfolio-content .content .overlay .text:before {
                border-bottom-color:'. esc_attr( $biography_primary_color).' !important; /*#028484*/
            }
            .portfolio-content .content .overlay .text:before {
                border-top-color:'. esc_attr( $biography_primary_color).' !important; /*#028484*/
            }
            .icon-container i {
                border-color:'. esc_attr( $biography_primary_color).' !important; /*#028484*/
            }';
            }
             /*button bg color */
            if( !empty( $biography_button_bg_color ) ){
            $biography_inline_css .= '
            a.button:not(.line-btn),
            a.button:focus,
            a.line-btn:hover,
            a.line-btn:focus,
            a.line-btn:active{
                background-color: '. esc_attr( $biography_button_bg_color ).'!important;
            }
            a.line-btn:hover,
            a.line-btn:focus,
            a.line-btn:active{
                box-shadow: 0 0 0 1px '. esc_attr( $biography_button_bg_color ).' inset !important;
            }';
            }
             /*button text color */
            if( !empty( $biography_button_text_color ) ){
            $biography_inline_css .= '
            a.button,
            a.button:hover{
                color: '. esc_attr( $biography_button_text_color ).'!important;
            }';
            }
            /*header menu text*/
            if( !empty( $biography_site_title_color ) ){
            $biography_inline_css .= '
            .site-title,
            .site-title a{
                color: '.esc_attr( $biography_site_title_color ).'!important;
            }';
            }
            
            /*$biography_site_tagline_color*/
            if( !empty( $biography_site_tagline_color ) ){
            $biography_inline_css .= '
            .site-description,
            .site-description a{
                color: '. esc_attr( $biography_site_tagline_color ).'!important;
            }';
            }
            /*header menu text*/
            if( !empty( $biography_header_main_color ) ){
            $biography_inline_css .= '
            .main-navigation a,
            .main-navigation li:hover > a,
            .main-navigation .current_page_item > a,
            .main-navigation .current-menu-item > a,
            .main-navigation .current_page_ancestor > a,
            .main-navigation .current_page_parent > a,
            .main-navigation li.active > a,
            .main-navigation li.active > a,
            .main-navigation li.active > a {
                color: '.esc_attr( $biography_header_main_color ).'!important;
            }';
            }
            /* service bg */
            if( !empty( $biography_home_service_section_bg ) ){
            $biography_inline_css .= '
            .wrap-service,.service-inner,.box-container .box-inner,.icon-container i{
                background-color: '. esc_attr( $biography_home_service_section_bg ).';
            }';
            }
            /* about bg */
            if( !empty( $biography_home_about_section_bg ) ){
            $biography_inline_css .= '
            .wrap-about{
                background-color: '. esc_attr( $biography_home_about_section_bg ).';
            }';
            }
            /* resume bg */
            if( !empty( $biography_home_history_section_bg ) ){
            $biography_inline_css .= '
            .wrap-resume,.resume-list .textbox{
                background-color: '. esc_attr( $biography_home_history_section_bg ).';
            }';
            }
            /* portfolio bg */
            if( !empty( $biography_home_portfolio_bg ) ){
            $biography_inline_css .= '
            .wrap-portfolio{
                background-color: '. esc_attr( $biography_home_portfolio_bg ).';
            }';
            }
            /*story bg*/
            $biography_inline_css .= '
            .wrap-story{
                background-image: url("'. esc_url( $biography_home_origin_bg_image ).'");
            }
            /*story bg*/
            .wrap-counter{
                background-image: url("'. esc_url( $biography_home_count_bg_image ).'");
            }';

            /* contact bg */
            if( !empty( $biography_home_contact_bg ) ){
            $biography_inline_css .= '
            .wrap-contact{
                background-color: '.esc_attr( $biography_home_contact_bg ).';
            }';
            }
            // header-textcolor
            /*
             * If no custom options for text are set, let's bail.
             * get_header_textcolor() options: Any hex value, 'blank' to hide text. Default: HEADER_TEXTCOLOR.
             */
            $header_text_color = get_header_textcolor();
            
            if ( get_theme_support( 'custom-header', 'default-text-color' ) !== $header_text_color ) {

                // If we get this far, we have custom styles. Let's do this.
                    // Has the text been hidden?
                if ( ! display_header_text() ) :
                    $biography_inline_css .='    
                    .site-title,
                    .site-description {
                        position: absolute;
                        clip: rect(1px, 1px, 1px, 1px);
                    }';

                // If the user has set a custom color for the text use that.
                else :
                    $biography_inline_css .='    
                    .site-title a,
                    #site-header .site-title a,
                    .site-description {
                        color: #'.esc_attr( $header_text_color ).';
                    }';
                endif;
            }
            // Declare variable to store custom css
            $biography_custom_css = '';
            $css = '';
            // Check if the custom CSS feature of 4.7 exists
            if ( function_exists( 'wp_update_custom_css_post' ) ) {
                // Migrate any existing theme CSS to the core option added in WordPress 4.7.
                if( !empty( $biography_customizer_all_values['biography-custom-css'] ) )
                    $css = $biography_customizer_all_values['biography-custom-css'];
                
                if ( $css ) {
                    $core_css = wp_get_custom_css(); // Preserve any CSS already added to the core option.
                    $return = wp_update_custom_css_post( $core_css . $css );
                    
                    if ( ! is_wp_error( $return ) ) {
                        // Remove the old theme_mod, so that the CSS is stored in only one place moving forward.
                        $biography_customizer_all_values['biography-custom-css'] = '';
                        set_theme_mod( 'BIOGRAPHY_CUSTOMIZER_NAME', $biography_customizer_all_values );
                    }
                }
            } else {
                // Back-compat for WordPress < 4.7.
                if ( isset( $biography_customizer_all_values['biography-custom-css'] ) ) {
                    $biography_custom_css = $biography_customizer_all_values['biography-custom-css'];
                    $biography_inline_css .= $biography_custom_css;
                }
            }   
        $css = '';
        $css .= $biography_inline_css;
        wp_add_inline_style( 'biography-style', $css );
}
endif;
add_action( 'wp_enqueue_scripts', 'biography_inline_css', 10 );
